%define	name	restore-mbr
%define	version	0.1
%define	release	%mkrel	3

Summary:	Re-install MBR from Livecd.
Summary(de):	Re-installieren des MBR von der Livecd.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://pclinuxos.com/
Obsoletes:	redo-lilo
Requires:	os-prober
Requires:	gksu

%description
gnome version of redo-mbr
Re-install MBR from Livecd.

%description -l de
Gnome-Version von redo-mbr
Re-installieren des MBR von der Livecd.

%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 restore-mbr  $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/restore-mbr.desktop << EOF
[Desktop Entry]
Name=Restore MBR
Name[de]=MBR-Wiederherstellung
Exec=gksu -l %{_sbindir}/%name
Comment=Restore Master Boot Record
Comment[de]=Wiederherstellung des Master Boot Record (MBR)
Icon=boot_init_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=System;X-MandrivaLinux-System-Configuration-BootandInit;
NotShowIn=KDE
EOF



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_sbindir}/restore-mbr
%{_datadir}/applications/restore-mbr.desktop

%changelog
* Fri May 28 2010 maik3531 <maik3531 at yahoo.de> 0.1-3pclos2010
- add german description and launcher

* Wed Mar 17 2010 slick50 <lxgator@gmail.com> 0.1-2pclos2010
-rebuild

* Mon Jul 21 2008 don_crissti <don_crissti@gmx.com> 0.1-1pclos2007
- gnome version of redo-mbr (modified by vampirefo)
